EUCA-CREATE-NETWORK-INTERFACE(1)

NAME
euca-create-network-interface - Create a new VPC network interface

SYNOPSIS
euca-create-network-interface [-d DESC] [-g GROUP]

[--private-ip-address ADDRESS]
    [--secondary-address ADDRESS | --secondary-count COUNT] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] SUBNET

DESCRIPTION
Create a new VPC network interface

  positional arguments:

SUBNET
    subnet to create the new network interface in (required)

  optional arguments:

-d DESC, --description DESC
    description for the new network interface

-g GROUP, --group GROUP
    ID of a security group to add the new network interface to. This option may be used more than once. Each time adds the network interface to an additional security group.

--private-ip-address ADDRESS
    assign a specific primary private IP address to the new network interface

--secondary-address ADDRESS, --secondary-private-ip-address ADDRESS
    assign a specific secondary private IP address to the new network interface. Use this option multiple times to add additional addresses.

--secondary-count COUNT, --secondary-private-ip-address-count COUNT
    automatically assign a specific number of secondary private IP addresses to the new network interface

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit